# Methods

### Supported Methods

For the XRP Ledger, we support the following methods:&#x20;

* [xrpl\_signTransaction](/integration/supported-networks/xrp-ledger/methods/xrpl_signtransaction.md)
* [xrpl\_signTransactionFor](/integration/supported-networks/xrp-ledger/methods/xrpl_signtransactionfor.md)
* [xrpl\_signTransactionBulk](/integration/supported-networks/xrp-ledger/methods/xrpl_signtransactionbulk.md)

{% hint style="info" %}
All methods and abstracted functions are included in the `wc-client`
{% endhint %}

### Example (using `wc-client`)

```typescript
import core from '@joey-wallet/wc-client/core';
const methods = core.methods
```

```typescript
const sign = async () => {
  try {
    const response = await methods.signTransaction({
      provider,
      chainId: 'xrpl:0',
      request: {
        tx_json: {
          TransactionType: 'AccountSet',
          Account: account?.split(':')[2] as string,
        },
        options: { autofill: true, submit: true },
      },
    });

    setResponse(JSON.stringify(response));
  } catch (e: any) {
    console.error(e);
    if (e.message) setResponse(e.message);
    console.error(`error: ${e}`);
  }
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.joeywallet.xyz/integration/supported-networks/xrp-ledger/methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
